/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.database;

import redis.clients.jedis.Jedis;
import redis.clients.jedis.JedisPool;
import redis.clients.jedis.JedisPoolConfig;

/**
 * @author joethei
 * @version 1.0
 */
public class Redis {

    private JedisPool jedisPool;

    public Redis(String hostname, int port, String password) {
        JedisPoolConfig poolConfig = new JedisPoolConfig();
        poolConfig.setMinIdle(8);
        poolConfig.setMaxTotal(32);

        jedisPool = new JedisPool(poolConfig, hostname, port, 5000, password);
    }

    public Jedis getJedis() {
        return jedisPool.getResource();
    }

    public void close() {
        jedisPool.close();
        jedisPool.destroy();
    }
}